Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_Transcoder Class Reference

ACEXML_Transcoder. More...

`#include "ACEXML/common/Transcode.h"`

List of all members.

## Public Types
enum | { SUCCESS = 0, DESTINATION_TOO_SHORT = -1, END_OF_SOURCE = -2, INVALID_ARGS = -3, IS_SURROGATE = -4, NON_UNICODE = -5 }
## Static Public Methods
int | utf162utf8 (ACEXML_UTF16 src, ACEXML_UTF8 *dst, size_t len)
int | ucs42utf8 (ACEXML_UCS4 src, ACEXML_UTF8 *dst, size_t len)
int | ucs42utf16 (ACEXML_UCS4 src, ACEXML_UTF16 *dst, size_t len)
int | surrogate2utf8 (ACEXML_UTF16 high, ACEXML_UTF16 low, ACEXML_UTF8 *dst, size_t len)
int | surrogate2ucs4 (ACEXML_UTF16 high, ACEXML_UTF16 low, ACEXML_UCS4 &dst)
int | utf82ucs4 (const ACEXML_UTF8 *src, size_t len, ACEXML_UCS4 &dst)
int | utf162ucs4 (const ACEXML_UTF16 *src, size_t len, ACEXML_UCS4 &dst)
int | utf8s2utf16s (const ACEXML_UTF8 *src, ACEXML_UTF16 *dst, size_t len)
int | utf16s2utf8s (const ACEXML_UTF16 *src, ACEXML_UTF8 *dst, size_t len)
## Public Attributes
enum ACEXML_Transcoder:: { ... } | STATUS

## Detailed Description

ACEXML_Transcoder.

Wrapper class for performing transcoding among different UNICODE encoding.

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  SUCCESS |
  DESTINATION_TOO_SHORT |
  END_OF_SOURCE |
  INVALID_ARGS |
  IS_SURROGATE |
  NON_UNICODE |

## Member Function Documentation

ACEXML_INLINE int ACEXML_Transcoder::surrogate2ucs4 | ( | ACEXML_UTF16 | high,
|  | ACEXML_UTF16 | low,
|  | ACEXML_UCS4 & | dst
| ) | `[static]`

ACEXML_INLINE int ACEXML_Transcoder::surrogate2utf8 | ( | ACEXML_UTF16 | high,
|  | ACEXML_UTF16 | low,
|  | ACEXML_UTF8 * | dst,
|  | size_t | len
| ) | `[static]`

ACEXML_INLINE int ACEXML_Transcoder::ucs42utf16 | ( | ACEXML_UCS4 | src,
|  | ACEXML_UTF16 * | dst,
|  | size_t | len
| ) | `[static]`

ACEXML_INLINE int ACEXML_Transcoder::ucs42utf8 | ( | ACEXML_UCS4 | src,
|  | ACEXML_UTF8 * | dst,
|  | size_t | len
| ) | `[static]`

ACEXML_INLINE int ACEXML_Transcoder::utf162ucs4 | ( | const ACEXML_UTF16 * | src,
|  | size_t | len,
|  | ACEXML_UCS4 & | dst
| ) | `[static]`

ACEXML_INLINE int ACEXML_Transcoder::utf162utf8 | ( | ACEXML_UTF16 | src,
|  | ACEXML_UTF8 * | dst,
|  | size_t | len
| ) | `[static]`

int ACEXML_Transcoder::utf16s2utf8s | ( | const ACEXML_UTF16 * | src,
|  | ACEXML_UTF8 * | dst,
|  | size_t | len
| ) | `[static]`

ACEXML_INLINE int ACEXML_Transcoder::utf82ucs4 | ( | const ACEXML_UTF8 * | the_src,
|  | size_t | len,
|  | ACEXML_UCS4 & | dst
| ) | `[static]`

int ACEXML_Transcoder::utf8s2utf16s | ( | const ACEXML_UTF8 * | src,
|  | ACEXML_UTF16 * | dst,
|  | size_t | len
| ) | `[static]`

## Member Data Documentation

enum { ... } ACEXML_Transcoder::STATUS

The documentation for this class was generated from the following files:

- Transcode.h
- Transcode.cpp
- Transcode.i